import React, { memo } from 'react';
import styles from './HeaderBlock.less';
import moment from 'moment';
const HeaderBlock = (props) => {
  const { headerInfor} = props
  const nowYear = moment().year();
  const getYear = moment(Number(headerInfor.createTime)).year();
  return (
    <div className={styles.header_wrap}>
      <h5 className={styles.headline}>{headerInfor.infoTitle}</h5>
      <div className={styles.infor}><em>{headerInfor.source}</em>{nowYear == getYear ? moment(Number(headerInfor.createTime)).format('MM月DD日') : moment(Number(headerInfor.createTime)).format('YYYY年MM月DD日')}</div>
    </div>
  )
}
export default memo(HeaderBlock)
