declare module '*.css';
declare module '*.less';
declare module '*.png';
declare module 'react';
declare module 'ahooks';
declare module '*.svg' {
  export function ReactComponent(props: React.SVGProps<SVGSVGElement>): React.ReactElement;
  const url: string;
  export default url;
}
declare module 'postcss-px-to-viewport';
declare module 'numeral';

interface Window {
  $: any;
  JSMpeg: any;
}

interface IMap {
  [propsName: string]: any;
}

//接口返回数据
type Result<D> = {
  code: number | string;
  msg: string;
  success: boolean;
  data?: D;
};

declare module 'postcss-plugin-px2rem';

