import React, { Fragment } from 'react';
import styles from './index.less';
import NativeHook from '@/utils/NativeHook';
import { history } from 'umi';
export default function BackHeader(props: any) {
  const onClose = () => {
    console.log('关闭');
    NativeHook.call.close();
  };
  const { goBack } = props;
  return (
    <Fragment>
      <div className={styles.insetArea}></div>
      <div className={styles.back_wrap}>
        <img src={require('@/assets/left.png')} className={styles.left} onClick={goBack ? () => history.goBack() : onClose} />
        <span className={styles.title}>{props.title}</span>
      </div>
    </Fragment>
  );
}
